com.sun.jna.ptr

## Class FloatByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.ptr.FloatByReference

- All Implemented Interfaces:
    NativeMapped

      public class FloatByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatByReference()`
    `FloatByReference(float value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getValue()`
    `void` | `setValue(float value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatByReference

          public FloatByReference()

    - #### FloatByReference

          public FloatByReference(float value)

  - ### Method Detail

    - #### setValue

          public void setValue(float value)

    - #### getValue

          public float getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ByReference`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.